<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:aop="http://www.springframework.org/schema/aop" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:p="http://www.springframework.org/schema/p" xmlns:context="http://www.springframework.org/schema/context"
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xsi:schemaLocation="http://www.springframework.org/schema/beans    
                        http://www.springframework.org/schema/beans/spring-beans-4.2.xsd   
                        http://www.springframework.org/schema/aop
                        http://www.springframework.org/schema/aop/spring-aop-4.2.xsd 
                        http://www.springframework.org/schema/context    
                        http://www.springframework.org/schema/context/spring-context-4.2.xsd 
                        http://www.springframework.org/schema/mvc    
                        http://www.springframework.org/schema/mvc/spring-mvc-4.2.xsd">
	<!-- 只扫描Controller注解的类 -->
	<context:component-scan base-package="com.moment"
		use-default-filters="false">
		<context:include-filter type="annotation"
			expression="org.springframework.stereotype.Controller" />
	</context:component-scan>
	
	
	<!-- 处理器适配器和处理器映射器 自动注册DefaultAnnotationHandlerMapping 
	与AnnotationMethodHandlerAdapter两个bean -->
	<mvc:annotation-driven >
		<mvc:message-converters>
			<bean
				class="org.springframework.http.converter.json.MappingJackson2HttpMessageConverter">
				<property name="supportedMediaTypes">
					<list>
						<value>text/html;charset=UTF-8</value>
						<value>application/json;charset=UTF-8</value>
					</list>
				</property>
				<!-- 通用json日期转换， @JsonFormat 优先级更高 -->
				<property name="objectMapper">
					<bean class="com.fasterxml.jackson.databind.ObjectMapper">
						<property name="dateFormat">
							<bean class="java.text.SimpleDateFormat">
								<constructor-arg type="java.lang.String" value="yyyy-MM-dd HH:mm:ss" />
							</bean>
						</property>
					</bean>
				</property>
			</bean>
		</mvc:message-converters>
	</mvc:annotation-driven>

	<!-- 定义跳转的文件的前后缀 ，视图模式配置 -->
	<bean
		class="org.springframework.web.servlet.view.InternalResourceViewResolver">
		<!-- 自动给后面action的方法return的字符串加上前缀和后缀，变成一个 可用的url地址 -->
		<property name="prefix" value="/WEB-INF/pages/" />
		<property name="suffix" value=".jsp" />
		<property name="contentType" value="text/html; charset=utf-8" />
		<property name="cache" value="false" />
	</bean>
	
	<!-- 拦截器配置 -->
	<!--  
	<mvc:interceptors>
		<mvc:interceptor>
			<mvc:mapping path="/**"/>
            <mvc:exclude-mapping path="/code/*.action" />
			<bean class="com.moment.login.interceptor.LoginHandlerInterceptor">
				<property name="allowUris">
					<list>
						<value>login.action</value>
						<value>dologin.action</value>
						<value>register.action</value>
						<value>doregister.action</value>
						<value>index.action</value>
						<value>getPicList.action</value>
						<value>checkAccount.action</value>
						<value>getPicListByCondition.action</value>
						
					</list>
				</property>
			</bean>
		</mvc:interceptor>
	</mvc:interceptors>
	-->
	<!-- 异常处理 -->
	<!-- <bean id="exceptionResolver"
		class="org.springframework.web.servlet.handler.SimpleMappingExceptionResolver">
		<property name="defaultErrorView">
			<value>/error/500</value>
		</property>
		<property name="defaultStatusCode">
			<value>500</value>
		</property>
		<property name="warnLogCategory">
			<value>org.springframework.web.servlet.handler.SimpleMappingExceptionResolver
			</value>
		</property>
	</bean>
	<bean id="exceptionResolver"
		class="com.moment.common.exception.GlobalExceptionResolver">
	</bean>
	 -->
	
	<!-- 附件上传 -->
	<bean id="multipartResolver"
		class="org.springframework.web.multipart.commons.CommonsMultipartResolver" />
		
	<mvc:default-servlet-handler />
	<mvc:annotation-driven></mvc:annotation-driven>

</beans>